RK-A2 - Feature #3580

FE Support for conversation and prompts
06/02/2024 10:19 AM - Ram Kordale

Status: Closed

Priority: Urgent

Assignee: Ayanava Karmakar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/02/2024

100%
0.50 hour
0.00 hour

Description

call_openai_api has changed to call_openai_api(model, index, thread_id, new_chat) [See http://34.67.50.25/issues/3579].

Add parameters 'model' and 'index’ to chat interface div. So, this will be provided by the page author.

When you make the first call_openai_api call, thread_id will be empty string ("").

The call will return thread_id. Use this thread_id in future requests.

new_chat should be true when user goes to a page and/or whenever user clicks on 'New Chat'. Else, new_chat should be false.

History

#1 - 06/03/2024 03:52 AM - Ram Kordale

- Description updated

#2 - 06/03/2024 03:59 AM - Dewakar Chaubey
- Status changed from New to In Progress

- Assignee set to Dewakar Chaubey

#3 - 06/03/2024 05:09 AM - Ayanava Karmakar
- Estimated time set to 0.50 h

#4 - 06/03/2024 06:19 AM - Dewakar Chaubey
- % Done changed from 0 to 100

#5 - 06/03/2024 01:27 PM - Dewakar Chaubey

- Status changed from In Progress to Resolved

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

#6 - 06/03/2024 01:32 PM - Ayanava Karmakar

- Status changed from Resolved to Feedback

- Assignee changed from Ayanava Karmakar to Dewakar Chaubey

#7 - 06/04/2024 05:47 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

#8 - 06/04/2024 05:51 AM - Ayanava Karmakar

- Status changed from Feedback to Resolved

#9 - 09/25/2024 08:40 AM - Ram Kordale

- Status changed from Resolved to Closed
